aboutsummaryrefslogtreecommitdiffstats
path: root/unmodified_drivers/linux-2.6/mkbuildtree
diff options
context:
space:
mode:
authorkfraser@localhost.localdomain <kfraser@localhost.localdomain>2006-08-17 16:08:01 +0100
committerkfraser@localhost.localdomain <kfraser@localhost.localdomain>2006-08-17 16:08:01 +0100
commit98abf9b1f795271a8bafb74b97e856aafb185eb9 (patch)
treefa0e9804a1a955f16e9a107d06fd7d3ea2563b3f /unmodified_drivers/linux-2.6/mkbuildtree
parenteb97b7dc2b268b799596764eb7ed8c41708223e1 (diff)
downloadxen-98abf9b1f795271a8bafb74b97e856aafb185eb9.tar.gz
xen-98abf9b1f795271a8bafb74b97e856aafb185eb9.tar.bz2
xen-98abf9b1f795271a8bafb74b97e856aafb185eb9.zip
[HVM] Linux driver for the xen platform pseudo-PCI device.
Signed-off-by: Steven Smith <ssmith@xensource.com>
Diffstat (limited to 'unmodified_drivers/linux-2.6/mkbuildtree')
-rw-r--r--unmodified_drivers/linux-2.6/mkbuildtree41
1 files changed, 41 insertions, 0 deletions
diff --git a/unmodified_drivers/linux-2.6/mkbuildtree b/unmodified_drivers/linux-2.6/mkbuildtree
new file mode 100644
index 0000000000..618b5c594f
--- /dev/null
+++ b/unmodified_drivers/linux-2.6/mkbuildtree
@@ -0,0 +1,41 @@
+#! /bin/sh
+
+C=$PWD
+
+XEN=$C/../../xen
+XL=$C/../../linux-2.6-xen-sparse
+
+ln -sf ${XL}/drivers/xen/core/features.c platform-pci
+
+mkdir -p include
+mkdir -p include/xen
+mkdir -p include/public
+mkdir -p include/asm
+
+lndir -silent ${XL}/include/xen include/xen
+ln -sf ${XEN}/include/public include/xen/interface
+
+# Need to be quite careful here: we don't want the files we link in to
+# risk overriding the native Linux ones (in particular, system.h must
+# be native and not xenolinux).
+uname=`uname -m`
+case "$uname"
+in
+"x86_64")
+ ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypervisor.h include/asm
+ ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypercall.h include/asm
+ ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/synch_bitops.h include/asm
+ ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/maddr.h include/asm
+ ln -sf ${XL}/include/asm-i386 include/asm-i386
+ ;;
+i[34567]86)
+ ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypervisor.h include/asm
+ ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypercall.h include/asm
+ ln -sf ${XL}/include/asm-i386/mach-xen/asm/synch_bitops.h include/asm
+ ln -sf ${XL}/include/asm-i386/mach-xen/asm/maddr.h include/asm
+ ;;
+*)
+ echo unknown architecture $uname
+ exit 1
+ ;;
+esac